(* ::Package:: *)

(************************************************************************)
(* This file was generated automatically by the Mathematica front end.  *)
(* It contains Initialization cells from a Notebook file, which         *)
(* typically will have the same name as this file except ending in      *)
(* ".nb" instead of ".m".                                               *)
(*                                                                      *)
(* This file is intended to be loaded into the Mathematica kernel using *)
(* the package loading commands Get or Needs.  Doing so is equivalent   *)
(* to using the Evaluate Initialization Cells menu command in the front *)
(* end.                                                                 *)
(*                                                                      *)
(* DO NOT EDIT THIS FILE.  This entire file is regenerated              *)
(* automatically each time the parent Notebook file is saved in the     *)
(* Mathematica front end.  Any changes you make to this file will be    *)
(* overwritten.                                                         *)
(************************************************************************)



(**************************************************************************

    This file is part of the LGSBloch package for Mathematica
    Copyright (C) 2009-2017 
    Simon M. Rochester <simon@rochesterscientific.com>
    Ron Holzl\[ODoubleDot]hner <rholzloe[at]eso.org>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

**************************************************************************)



(* ::Input::Initialization:: *)
BeginPackage["LGSBloch`",{"AtomicDensityMatrix`"}]


(* ::Input::Initialization:: *)
Get["AtomicDensityMatrix`"]


(* ::Input::Initialization:: *)
Unprotect[Evaluate[$Context<>"*"]]


(* ::Input::Initialization:: *)
bendList::usage="";


(* ::Input::Initialization:: *)
nWeightFunction::usage="";


(* ::Input::Initialization:: *)
SparseReplace::usage="SparseReplace[\!\(\*
StyleBox[\"expr\", \"TI\"]\),\!\(\*
StyleBox[\"rules\", \"TI\"]\)] generalizes ReplaceAll to apply to elements of a SparseArray.";


(* ::Input::Initialization:: *)
SelfReplaceRepeated::usage="SelfReplaceRepeated[\!\(\*
StyleBox[\"rules\", \"TI\"]\)] repeatedly performs replacement on itself, transforming the right-hand sides of the rules until they no longer change.";


(* ::Input::Initialization:: *)
GenerateLGSSystem::usage="GenerateLGSSystem[\!\(\*
StyleBox[\"atom\", \"TI\"]\), \!\(\*
StyleBox[\"line\", \"TI\"]\)] returns a list of data describing the specified atomic system suitable for use as the first parameter of a ReturnFlux call. Generally useful elements of the list include the first element, which is the dimension of the Bloch matrix (algebraic system) describing a particular region and velocity group, and the last element, which is a list of rules giving numerical values for various atomic parameters. It may be convenient to save the result of this function using Export[] and then Get[] it at the beginning of each session.
GenerateLGSSystem[] is equivalent to GenerateLGSSystem[\"Na\",\"D2\"].

\!\(\*
StyleBox[\"atom\", \"TI\"]\) and \!\(\*
StyleBox[\"line\", \"TI\"]\) are strings; possible values for \!\(\*
StyleBox[\"atom\", \"TI\"]\) are \"Na\", \"K39\", \"Rb87\", \"Rb85\", and \"Cs\", and possible values for \!\(\*
StyleBox[\"line\", \"TI\"]\) are \"D1\" and \"D2\". 

Options: PrintDiagnostics, NeglectHyperfineCoherences, NeglectExcitedStateMixing.";


(* ::Input::Initialization:: *)
PrintDiagnostics::usage="PrintDiagnostics is an option for GenerateLGSSystem that specifies whether to print the results of various intermediate steps during execution.";


(* ::Input::Initialization:: *)
NeglectHyperfineCoherences::usage="NeglectHyperfineCoherences is an option for GenerateLGSSystem that specifies whether to set all ground- and excited- state hyperfine coherences to zero in order to reduce the size of the algebraic system.";


(* ::Input::Initialization:: *)
NeglectExcitedStateMixing::usage="NeglectExcitedStateMixing is an option for GenerateLGSSystem that specifies whether to neglect magnetic-field-induced mixing of excited-state hyperfine sublevels.";


(* ::Input::Initialization:: *)
UseBreitRabi::usage="UseBreitRabi is an option for GenerateLGSSystem that specifies whether to use the BreitRabi formula to describe nonlinear Zeeman shifts in the ground state.";


(* ::Input::Initialization:: *)
NDither::usage="ReturnFlux input parameter: Number of regions to be used for the dithering simulation.";


(* ::Input::Initialization:: *)
DitherRate::usage="ReturnFlux input parameter: Transit rate between dithering regions (\!\(\*SuperscriptBox[\(s\), \(-1\)]\)).";


(* ::Input::Initialization:: *)
DitherDetuning::usage="ReturnFlux input parameter: List specifying light detunings for each dithering region (rad/s).";


(* ::Input::Initialization:: *)
LightPhase::usage="ReturnFlux input parameter: List specifying light phase for each dithering region.";


(* ::Input::Initialization:: *)
ModeDetuning::usage="";


(* ::Input::Initialization:: *)
LaserWidth::usage="";


(* ::Input::Initialization:: *)
DitherRateFraction::usage="";


(* ::Input::Initialization:: *)
DitherCoherenceTransfer::usage="ReturnFlux input parameter: Fraction of optical coherences to transfer when atoms travel between dithering regions.";


(* ::Input::Initialization:: *)
EllipticityA::usage="ReturnFlux input parameter: Polarization ellipticity angle for the A beam.";


(* ::Input::Initialization:: *)
DetuningA::usage="ReturnFlux input parameter: Light detuning for the A beam (rad/s).";


(* ::Input::Initialization:: *)
LightIntensityA::usage="ReturnFlux input parameter: Light intensity for the A beam (watt/\!\(\*SuperscriptBox[\(m\), \(2\)]\))";


(* ::Input::Initialization:: *)
RabiFrequencyA::usage="Rabi frequency for the A beam (rad/s).";


(* ::Input::Initialization:: *)
EllipticityB::usage="ReturnFlux input parameter: Polarization ellipticity angle for the B beam.";


(* ::Input::Initialization:: *)
DetuningB::usage="ReturnFlux input parameter: Light detuning for the B beam (rad/s).";


(* ::Input::Initialization:: *)
LightIntensityB::usage="ReturnFlux input parameter: Light intensity for the B beam (watt/\!\(\*SuperscriptBox[\(m\), \(2\)]\))";


(* ::Input::Initialization:: *)
RabiFrequencyB::usage="Rabi frequency for the B beam (rad/s).";


(* ::Input::Initialization:: *)
(*AtomicDensity::usage="ReturnFlux input parameter: Atomic density (atoms/m^3).";*)


(* ::Input::Initialization:: *)
BeamTransitRate::usage="ReturnFlux input parameter: Rate of transit of atoms through the light beam (\!\(\*SuperscriptBox[\(s\), \(-1\)]\)).";


(* ::Input::Initialization:: *)
SDampingRate::usage="ReturnFlux input parameter: Overall S-damping rate (\!\(\*SuperscriptBox[\(s\), \(-1\)]\))." ;


(* ::Input::Initialization:: *)
VccRateFunction::usage="ReturnFlux input parameter: Cumulative distribution function of rate of velocity-changing collisions. VccRateFunction[\[CapitalDelta]1,\[CapitalDelta]2] gives the rate of transfer of atoms with Doppler shift \[CapitalDelta]1 into velocity groups with Doppler shifts less than \[CapitalDelta]2 (\!\(\*SuperscriptBox[\(s\), \(-1\)]\))." ;


(* ::Input::Initialization:: *)
RMSVelocity::usage="Atomic rms velocity (m/s)." ;


(* ::Input::Initialization:: *)
Temperature::usage="ReturnFlux input parameter: System temperature in degrees Kelvin." ;


(* ::Input::Initialization:: *)
ResonanceFrequencies::usage="List of possible optical resonance frequencies for the atomic system (rad/s).";


(* ::Input::Initialization:: *)
DopplerWidth::usage="Doppler width of the atomic thermal distribution (rad/s).";


(* ::Input::Initialization:: *)
LarmorFrequency::usage="ReturnFlux input parameter: Larmor frequency of the highest angular momentum hyperfine ground state (rad/s)." ;


(* ::Input::Initialization:: *)
MagneticZenith::usage="ReturnFlux input parameter: Zenith angle of the magnetic field in the local coordinate system, where the laser points at +z (angle between B and z). MagneticZenith = 0 corresponds to the B-field pointing along the laser propagation direction. CAUTION: The geomagnetic field points from geographicSouth to North! This means e.g. that MagneticZenith cannot become 0 in the northern magnetic hemisphere unless the laser is pointing towards the ground" ;


(* ::Input::Initialization:: *)
MagneticAzimuth::usage="ReturnFlux input parameter: Azimuthal angle of the magnetic field (angle between x and the projection of B on the x-y plane)." ;


(* ::Input::Initialization:: *)
RecoilShift::usage="ReturnFlux input parameter: Doppler shift corresponding to the atomic recoil velocity (rad/s)." ;


(* ::Input::Initialization:: *)
DitherRegionFraction::usage="DitherRegionFraction[\!\(\*
StyleBox[\"i\", \"TI\"]\)] represents the fraction of atoms present in dithering region \!\(\*
StyleBox[\"i\", \"TI\"]\).";


(* ::Input::Initialization:: *)
ViewPhi::usage="";


(* ::Input::Initialization:: *)
ViewTheta::usage="";


(* ::Input::Initialization:: *)
VGDensity::usage="VGDensity[\!\(\*
StyleBox[\"i\", \"TI\"]\)] represents the fraction of atoms in the velocity group \!\(\*
StyleBox[\"i\", \"TI\"]\).";


(* ::Input::Initialization:: *)
DopplerShift::usage="DopplerShift[\!\(\*
StyleBox[\"i\", \"TI\"]\)] represents the Doppler shift for atoms in the velocity group \!\(\*
StyleBox[\"i\", \"TI\"]\).";


(* ::Input::Initialization:: *)
VelocityGroups1::usage="VelocityGroups1 returns a list of velocity bins formed using one (small) bin size near a resonance frequency and another (larger) bin size away from any resonance frequencies.";


(* ::Input::Initialization:: *)
VelocityGroups2::usage="VelocityGroups2 returns a list of velocity bins found by dividing the integral of a supplied weighting function evenly into a specified number of bins.";


(* ::Input::Initialization:: *)
VccRate::usage="";


(* ::Input::Initialization:: *)
(*ShowPlot::usage="ShowPlot is an option for the VelocityGroups functions that specifies whether to generate a plot of the list of velocity groups returned by the function.";*)


(* ::Input::Initialization:: *)
ReturnFlux::usage="ReturnFlux[\!\(\*
StyleBox[\"system\", \"TI\"]\), \!\(\*
StyleBox[\"params\", \"TI\"]\)] returns the result of a calculation of observed fluorescence for the atomic and experimental system described by \!\(\*
StyleBox[\"system\", \"TI\"]\) (as given by the output of GenerateLGSSystem), using experimental paramters specified by \!\(\*
StyleBox[\"params\", \"TI\"]\). Additional output information can be requested using the FluxReport option. A list of velocity group bins is automatically created using the parameters specified with the option InitVGParams; if the option RefineResult is specified the calculation will be run multiple times, refining the velocity bins on successive runs.
ReturnFlux[\!\(\*
StyleBox[\"system\", \"TI\"]\), \!\(\*
StyleBox[\"params\", \"TI\"]\), \!\(\*
StyleBox[\"bins\", \"TI\"]\)] does the first run of the calculation using the supplied list of velocity bins \!\(\*
StyleBox[\"bins\", \"TI\"]\).

The input \!\(\*
StyleBox[\"params\", \"TI\"]\) must contain the parameters NDither, DitherRate, DitherDetuning, LightPhase, DitherCoherenceTransfer, EllipticityA, DetuningA, LightIntensityA, EllipticityB, DetuningB, LightIntensityB, AtomicDensity, BeamTransitRate, SDampingRate, VccRate, Temperature, LarmorFrequency, MagneticZenith, MagneticAzimuth, RecoilShift.

Options: FluxReport, RefineResult, InitVGParams, ReturnAllSteps, PlotVelocityGroups";


(* ::Input::Initialization:: *)
FluxReport::usage="FluxReport is an option for ReturnFlux that specifies addtional information to be returned as a list of replacement values.
A list should be specified, contaning zero or more of the following elements:
VelocitySpectrum: Returns a list giving the contribution to the flux from each velocity group.
VelocityGroups: Returns the list of velocity bins used in the calculation.
DMSolution: Returns the computed values of the density matrix elements for each velocity group and dithering region.
BlochMatrix: Returns a list of the full matrix that was generated and solved, the RHS vector, and the vector that was dotted with the solution vector to find the total flux. 
RFParams: Return the parameter set of ReturnFlux[] (internal use)";


(* ::Input::Initialization:: *)
SkipLinearSolve::usage =
"SkipLinearSolve is an option for ReturnFlux that specifies if the linear Bloch equation system should be solved, or if the solution should be skipped, and only the Bloch matrices should be prepared for the FluxReport. For internal use.";


(* ::Input::Initialization:: *)
RefineResult::usage="RefineResult is an option for ReturnFlux that specifies whether the calculation should be repeated using the preliminary results to refine the list of velocity bins. If a list {\!\(\*SubscriptBox[
StyleBox[\"i\", \"TI\"], \(1\)]\),\!\(\*SubscriptBox[
StyleBox[\"i\", \"TI\"], \(2\)]\)...\!\(\*
StyleBox[SubscriptBox[\"i\", \"n\"], \"TI\"]\)} of integers \!\(\*
StyleBox[SubscriptBox[\"i\", \"j\"], \"TI\"]\) is specified, the calculation is run \!\(\*
StyleBox[\"n\", \"TI\"]\) times after the initial run, each time using the velocity spectrum obtained from the previous run to create a weighting function used to generate a list of \!\(\*
StyleBox[SubscriptBox[\"i\", \"j\"], \"TI\"]\) velocity bins. The option ReturnAllSteps can be used to specify whether the results of all calculations should be returned, or just the last.";


(* ::Input::Initialization:: *)
InitVGParams::usage="InitVGParams is an option for ReturnFlux that specifies the parameters used to generate the velocity group bins for the first run of the calculation. Velocities are specified in terms of their corresponding Doppler shift. The option is specified in the form {{\!\(\*
StyleBox[SubscriptBox[\"width\", \"res\"], \"TI\"]\),\!\(\*
StyleBox[SubscriptBox[\"n\", \"res\"], \"TI\"]\)},{\!\(\*
StyleBox[SubscriptBox[\"width\", \"nonres\"], \"TI\"]\),\!\(\*
StyleBox[SubscriptBox[\"range\", \"nonres\"], \"TI\"]\)}}, where \!\(\*
StyleBox[SubscriptBox[\"width\", \"res\"], \"TI\"]\) is the width of bins to be created near resonance frequencies (in units of the natural width), \!\(\*
StyleBox[SubscriptBox[\"n\", \"res\"], \"TI\"]\) specifies that 2\!\(\*
StyleBox[SubscriptBox[\"n\", \"res\"], \"TI\"]\)+1 bins should be created near each resonance frequency, \!\(\*
StyleBox[SubscriptBox[\"width\", \"nonres\"], \"TI\"]\) is the width of bins not near resonance frequencies (in units of the Doppler width), and \!\(\*
StyleBox[SubscriptBox[\"range\", \"nonres\"], \"TI\"]\) (units of the Doppler width) gives the half-range over which velocity bins should be generated.";


(* ::Input::Initialization:: *)
ReturnAllSteps::usage="ReturnAllSteps is an option for ReturnFlux that specifies whether the results of all iterations (specified using RefineResult) should be returned, or just the last.";


(* ::Input::Initialization:: *)
PlotVelocityGroups::usage="PlotVelocityGroups is an option for ReturnFlux that specifies whether diagnostic plots showing the generated velocity bins should be shown during execution.";


(* ::Input::Initialization:: *)
VelocitySpectrum::usage="VelocitySpectrum is a value that can be specified by the FluxReport option of ReturnFlux to request a list giving the contribution to the flux from each velocity group.";


(* ::Input::Initialization:: *)
VelocityGroups::usage="VelocityGroups is a value that can be specified by the FluxReport option of ReturnFlux to request the list of velocity bins used in the calculation.";


(* ::Input::Initialization:: *)
DMSolution::usage="DMSolution is a value that can be specified by the FluxReport option of ReturnFlux to request the computed values of the density matrix elements for each velocity group and dithering region.";


(* ::Input::Initialization:: *)
BlochMatrix::usage="BlochMatrix is a value that can be specified by the FluxReport option of ReturnFlux to request a list of the full matrix that was generated and solved, the RHS vector, and the vector that was dotted with the solution vector to find the total flux.";


(* ::Input::Initialization:: *)
RFParams::usage=
"RFParams is the parameter set of ReturnFlux[]. For internal use in StepPulseFlux[].";


(* ::Input::Initialization:: *)
InitVG::usage="" 


(* ::Input::Initialization:: *)
PulsedSetup::usage="" 


(* ::Input::Initialization:: *)
FlipDoppler::usage="" 


(* ::Input::Initialization:: *)
BGParanal::usage="BGParanal is a constant giving the geomagnetic field in Paranal at altitude 90km in 2009 [G] from [MSIS90].";


(* ::Input::Initialization:: *)
BGSOR::usage="BGSOR is a constant giving the geomagnetic field at SOR at altutude 90km in 2009 [G] from [MSIS90].";


(* ::Input::Initialization:: *)
BGWendelstein::usage="BGWendelstein is a constant giving the geomagnetic field over Wendelstein at altutude 90km in 2009 [G] from [MSIS90].";


(* ::Input::Initialization:: *)
BGMaunaKea::usage="BGMaunaKea is a constant giving the geomagnetic field over Mauna Kea at altutude 90km in 2009 [G] from [MSIS90].";


(* ::Input::Initialization:: *)
\[CapitalOmega]NaRecoil::usage="\[CapitalOmega]NaRecoil is a constant giving the recoil frequency of sodium atoms at 589nm [Hz].";


(* ::Input::Initialization:: *)
fOffsetD2a::usage="fOffsetD2a is a constant giving the offset of the Na D2a line from the D2 line center [Hz]. Do not alter this parameter when varying the laser central frequency, but use \[CapitalDelta]fLaser instead.";


(* ::Input::Initialization:: *)
fOffsetD2ab::usage="fOffsetD2ab is a constant giving the optimal frequency offset between Na D2a and D2b in sodium [Hz]. Normally, this constant should not be altered. Use \[CapitalDelta]fLaserDabOff to vary to repumping frequency offset.";


(* ::Input::Initialization:: *)
IMeso::usage="IMeso represents mesospheric laser intensity \!\(\*FormBox[\(\(\([\)\(\*
StyleBox[\"W\",\nFontSlant->\"Plain\"]/\*SuperscriptBox[
StyleBox[\"m\",\nFontSlant->\"Plain\"], \"2\"]\)\(]\)\)\(.\)\),
TraditionalForm]\)";


(* ::Input::Initialization:: *)
RepumpFraction::usage="RepumpFraction represents the repumping intensity fraction (fraction of total laser power in D2b line).";


(* ::Input::Initialization:: *)
LightPolarization::usage="LightPolarization represents the normalized light ellipticity angle (\[Epsilon]/(\[Pi]/4)).";


(* ::Input::Initialization:: *)
LightWavelength::usage="LightWavelength represents the laser center wavelength [m].";


(* ::Input::Initialization:: *)
Phase::usage="Phase represents overall light phase [rad].";


(* ::Input::Initialization:: *)
FWHMbw::usage="FWHMbw represents the Laser FWHM bandwidth, assuming a Lorentzian lineshape [Hz].";


(* ::Input::Initialization:: *)
\[CapitalDelta]fLaser::usage="\[CapitalDelta]fLaser represents the laser line detuning from optimum (both D2a and D2b) [Hz]. Use this parameter to vary the laser line frequency offset. Positive values shift to the blue (higher frequency).";


(* ::Input::Initialization:: *)
\[CapitalDelta]fLaserDabOff::usage="\[CapitalDelta]fLaserDabOff represents the offset of D2a--D2b frequency spacing from fOffsetD2ab [Hz]. Positive values shift to the blue (higher frequency).";


(* ::Input::Initialization:: *)
BG::usage="BG represents the mesospheric geomagnetic field strength \!\(\*FormBox[\(\([\)
StyleBox[\"G\",\nFontSlant->\"Plain\"]\(]\)\),
TraditionalForm]\).";


(* ::Input::Initialization:: *)
Ta::usage="Ta represents the one-way atmospheric light transmission at \[Lambda] at zenith.";


(* ::Input::Initialization:: *)
SDampingTime::usage="SDampingTime represents the mean time between S-damping collisions [s].";


(* ::Input::Initialization:: *)
VccTime::usage="VccTime represents the mean time between velocity-changing collisions [s].";


(* ::Input::Initialization:: *)
HNa::usage="HNa represents the altitude of sodium centroid above sea level [m].";


(* ::Input::Initialization:: *)
vrms\[Gamma]::usage="vrms\[Gamma] represents the rms velocity of diffusion effects [m/s], \[Gamma] = vrms\[Gamma]/(DLT/\[Mu]LT).";


(* ::Input::Initialization:: *)
PLaunch::usage="PLaunch represents the launched power (output of launch telescope, not power on sky) [W].";


(* ::Input::Initialization:: *)
Zenith::usage="Zenith represents the Zenith angle of the laser beam [rad].";


(* ::Input::Initialization:: *)
Htele::usage="Htele represents the altitude of launch telescope above sea level [m].";


(* ::Input::Initialization:: *)
DLT::usage="DLT represents the launch telescope aperture [m].";


(* ::Input::Initialization:: *)
\[Mu]LT::usage="\[Mu]LT represents the ratio of DLT to \!\(\*FormBox[\(1/\*SuperscriptBox[\(e\), \(2\)]\),
TraditionalForm]\) launch beam intensity diameter (not radius!), see Yura, Eq.(2.7).";


(* ::Input::Initialization:: *)
MsqrLT::usage="MsqrLT represents the \!\(\*FormBox[\(\*SuperscriptBox[\(M\), \(2\)]\\\ beam\\\ quality\\\ factor\\\ out\\\ of\\\ the\\\ launch\\\ telescope\),
TraditionalForm]\).";


(* ::Input::Initialization:: *)
IMesoMax::usage="IMesoMax is an option for BeamRepository and related functions that specfies the maximum intensity in mesosphere [\!\(\*
StyleBox[\"W\",\nFontSlant->\"Plain\"]\)/\!\(\*SuperscriptBox[
StyleBox[\"m\",\nFontSlant->\"Plain\"], \(2\)]\)]. If set to zero it is determined automatically.";


(* ::Input::Initialization:: *)
IMesoInitial::usage="IMesoInitial is an option for BeamRepository and related functions that specifies the starting mesospheric laser intensity \!\(\*FormBox[\(\(
StyleBox[\"[\",\nFontSlant->\"Plain\"]\(\*
StyleBox[\"W\",\nFontSlant->\"Plain\"]/\*SuperscriptBox[
StyleBox[\"m\",\nFontSlant->\"Plain\"], \"2\"]\)\(]\)\)\(.\)\),
TraditionalForm]\)";


(* ::Input::Initialization:: *)
MaxStepRatio::usage="MaxStepRatio is an option for BeamRepository and related functions that controls the intensity step size.";


(* ::Input::Initialization:: *)
IMesoFactor::usage="IMesoFactor is an option for BeamRepository and related functions that specifies the factor by which to multiply peak intensity to compute maximum repository intensity.";


(* ::Input::Initialization:: *)
NSamples::usage="NSamples is an option for BeamRepository and related functions that specifies the number of samples in the repository.";


(* ::Input::Initialization:: *)
LaserSpotMesoFWHM::usage="LaserSpotMesoFWHM is an option for sce and interBeamMeso that equals the FWHM laser spot size in the mesosphere. This option is especially useful when computing sce for pulsed lasers, where the peak irradiance cannot be computed from the average power.";


(* ::Input::Initialization:: *)
$DefaultLGSParameters::usage="$DefaultLGSParameters is a global variable that is the default for the DefaultParameters option for PsiMeso and related functions.";


(* ::Input::Initialization:: *)
NaLGSDefaults::usage="NaLGSDefaults is a constant giving a list of default parameters for a Na D2 laser guide star.";


(* ::Input::Initialization:: *)
PsiMeso::usage="";


(* ::Input::Initialization:: *)
DefaultParameters::usage="";


(* ::Input::Initialization:: *)
EndPackage[]
