Notebook[{
Cell[" ", "TutorialColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["LGSBloch Package",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:LGSBloch/guide/LGSBloch"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["L G S BLOCH TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      PopupMenuBox[
       Dynamic[{"ActionMenu", None}, 
        Part[{"Return Flux from a CW Laser Guide Star" :> 
          Documentation`HelpLookup[
           "paclet:LGSBloch/tutorial/ReturnFluxFromACWLaserGuideStar"]}, #, 
         2]& , Evaluator -> Automatic], {
       1->"\<\"Return Flux from a CW Laser Guide Star\"\>"}, 
       FrameBox["\<\"Related Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"Related Tutorials \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[
       Dynamic[{"ActionMenu", None}, 
        Part[{"LGSBloch Package" :> 
          Documentation`HelpLookup["paclet:LGSBloch/guide/LGSBloch"], 
          "AtomicDensityMatrix Package" :> 
          Documentation`HelpLookup[
           "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"]}, #, 2]& , 
        Evaluator -> Automatic], {1->"\<\"LGSBloch Package\"\>", 
       2->"\<\"AtomicDensityMatrix Package\"\>"}, 
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"More About \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[
       Dynamic[{"ActionMenu", None}, 
        Part[{"BeamRepository" :> 
          Documentation`HelpLookup["paclet:LGSBloch/ref/BeamRepository"], 
          "Sce" :> Documentation`HelpLookup["paclet:LGSBloch/ref/Sce"]}, #, 
         2]& , Evaluator -> Automatic], {1->"\<\"BeamRepository\"\>", 
       2->"\<\"Sce\"\>"}, 
       FrameBox["\<\"Functions \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"Functions \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[
       Dynamic[{"ActionMenu", None}, 
        Part[{"LGSBloch/tutorial/IntegrationOverTheLGSBeam" :> None, 
          "Copy Mathematica url" :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell["LGSBloch/tutorial/IntegrationOverTheLGSBeam"]}, 
                Visible -> False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], Delimiter, 
          "Copy web url" :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell[
                  BoxData[
                   MakeBoxes[
                    Hyperlink[
                    "http://rochesterscientific.com/ADM/LGSBloch/tutorial/\
IntegrationOverTheLGSBeam.html"], StandardForm]], "Input", TextClipboardType -> 
                  "PlainText"]}, Visible -> False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], 
          "Go to web url" :> FrontEndExecute[{
             NotebookLocate[{
               URL[
                StringJoin[
                "http://rochesterscientific.com/ADM/", 
                 "LGSBloch/tutorial/IntegrationOverTheLGSBeam", ".html"]], 
               None}]}]}, #, 2]& , Evaluator -> Automatic], {
       1->"\<\"LGSBloch/tutorial/IntegrationOverTheLGSBeam\"\>", 
       2->"\<\"Copy Mathematica url\"\>", Delimiter, 
       4->"\<\"Copy web url\"\>", 5->"\<\"Go to web url\"\>"}, 
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"URL \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["Integration Over the LGS Beam", "Title",
 CellID->509267359],

Cell["\<\
In this tutorial, we perform an integration of return flux over the extent of \
the laser beam to obtain a result for return flux measured on the ground.\
\>", "Text",
 CellID->1534169418],

Cell[BoxData[GridBox[{
   {
    RowBox[{
     ButtonBox["BeamRepository",
      BaseStyle->"Link",
      ButtonData->"paclet:LGSBloch/ref/BeamRepository"], "[", 
     RowBox[{
      StyleBox["sys", "TI"], ",", " ", 
      StyleBox["params", "TI"]}], "]"}], Cell[
    "Calculates return flux for a range of laser intensities", "TableText"]},
   {
    RowBox[{
     ButtonBox["Sce",
      BaseStyle->"Link",
      ButtonData->"paclet:LGSBloch/ref/Sce"], "[", 
     RowBox[{
      StyleBox["params", "TI"], ",", 
      StyleBox["fluxlist", "TI"]}], "]"}], Cell[
    "Integrates results over the extent of the light beam", "TableText"]}
  }]], "DefinitionBox",
 CellID->2096742444],

Cell["\<\
Functions to find return flux integrated over the light beam.\
\>", "Caption",
 CellID->1891092685],

Cell["Load the package.", "MathCaption",
 CellID->971923592],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<LGSBloch`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1971712093],

Cell["Generate the system of equations for the Na D2 line.", "MathCaption",
 CellID->2010919537],

Cell[BoxData[
 RowBox[{
  RowBox[{"NaD2LGS", "=", 
   RowBox[{"GenerateLGSSystem", "[", "]"}]}], ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->427021873],

Cell[TextData[StyleBox["A list of the environmental and laser parameters.",
 FontFamily->"Verdana"]], "MathCaption",
 CellID->2002510376],

Cell[BoxData[
 RowBox[{
  RowBox[{"params1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"IMeso", "\[Rule]", "78.48"}], ",", 
     RowBox[{"RepumpFraction", "\[Rule]", "0.1"}], ",", 
     RowBox[{"LightPolarization", "\[Rule]", "1."}], ",", 
     RowBox[{"BG", "\[Rule]", "0.4662"}], ",", 
     RowBox[{"MagneticZenith", "\[Rule]", 
      RowBox[{
       RowBox[{"61.", 
        RowBox[{"\[Pi]", "/", "180."}]}], "+", 
       RowBox[{"\[Pi]", "/", "2"}]}]}], ",", 
     RowBox[{"MagneticAzimuth", "\[Rule]", 
      RowBox[{"14.", 
       RowBox[{"\[Pi]", "/", "180."}]}]}], ",", 
     RowBox[{"FWHMbw", "\[Rule]", "0."}], ",", 
     RowBox[{"Zenith", "\[Rule]", "0."}], ",", 
     RowBox[{"Htele", "\[Rule]", "1284."}], ",", 
     RowBox[{"DLT", "\[Rule]", "0.2"}], ",", 
     RowBox[{"\[Mu]LT", "\[Rule]", "1."}], ",", 
     RowBox[{"Ta", "\[Rule]", "0.89"}], ",", 
     RowBox[{"HNa", "\[Rule]", 
      RowBox[{"95000.", "+", "1284."}]}], ",", 
     RowBox[{"PLaunch", "\[Rule]", "49.9602"}]}], "}"}]}], ";"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->828173648],

Cell[TextData[StyleBox["The return flux in the mesosphere for the nominal \
laser intensity.",
 FontFamily->"Verdana"]], "MathCaption",
 CellID->1272985729],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"psiIMeso", "=", 
  RowBox[{"PsiMeso", "[", 
   RowBox[{"NaD2LGS", ",", "params1"}], "]"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->1767365583],

Cell[BoxData["273.88943681706934`"], "Output",
 ImageSize->{53, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->33107393]
}, Open  ]],

Cell[TextData[{
 StyleBox["Some additional parameters: sodium column density (",
  FontFamily->"Verdana"],
 StyleBox[Cell[BoxData[
  StyleBox[
   RowBox[{"atom", "/", 
    SuperscriptBox["m", "2"]}], "MathCaption"]], "Text", "InlineFormula"], 
  "Text"],
 StyleBox["), beam ", "Text",
  FontFamily->"Verdana"],
 StyleBox["spot size (m) and area (",
  FontFamily->"Verdana"],
 StyleBox[Cell[BoxData[
  StyleBox[
   SuperscriptBox["m", "2"], "MathCaption"]], "Text", "InlineFormula"], 
  "Text"],
 StyleBox[")", "Text",
  FontFamily->"Verdana"],
 StyleBox[" in the mesosphere.",
  FontFamily->"Verdana"]
}], "MathCaption",
 CellID->1955765440],

Cell[BoxData[
 RowBox[{
  RowBox[{"params2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"cNa", "\[Rule]", 
      RowBox[{"4.", " ", 
       SuperscriptBox["10", "13"]}]}], ",", 
     RowBox[{"spotFWHM", "\[Rule]", "0.5"}], ",", 
     RowBox[{"spotArea", "\[Rule]", 
      RowBox[{"\[Pi]", " ", 
       RowBox[{
        RowBox[{"spotFWHM", "^", "2"}], "/", 
        RowBox[{"(", 
         RowBox[{"2", " ", 
          RowBox[{"Log", "[", "2", "]"}]}], ")"}]}]}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->1165049098],

Cell[TextData[{
 StyleBox["A crude estimate of the expected return flux \[CapitalPhi] on the \
ground (in ",
  FontFamily->"Verdana"],
 Cell[BoxData[
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{"photon", "/", "s"}], "/", 
     SuperscriptBox["m", "2"]}], ")"}], "Text"]], "InlineFormula"],
 ". ",
 StyleBox["For the formula, see Ref. [",
  FontFamily->"Verdana"],
 StyleBox[ButtonBox["Hol2010",
  BaseStyle->"Hyperlink",
  ButtonData->"Hol2010"],
  FontFamily->"Verdana"],
 StyleBox["], Eq. (6).",
  FontFamily->"Verdana"]
}], "MathCaption",
 CellID->144574701],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"psiIMeso", " ", "IMeso", " ", "cNa", " ", "spotArea", " ", 
    RowBox[{"Ta", "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"HNa", "-", "Htele"}], ")"}], "^", "2"}]}]}], "/.", 
   "params1"}], "//.", "params2"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->871616552],

Cell[BoxData["4.803651468709775`*^7"], "Output",
 ImageSize->{84, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->102231963]
}, Open  ]],

Cell[TextData[StyleBox["To obtain a realistic value of \[CapitalPhi], we have \
to sample the return flux at a few irradiance levels. We compute a repository \
of such samples.",
 FontFamily->"Verdana"]], "Text",
 CellID->639120158],

Cell[TextData[{
 "Compute a range of values with ",
 Cell[BoxData[
  ButtonBox["BeamRepository",
   BaseStyle->"Link",
   ButtonData->"paclet:LGSBloch/ref/BeamRepository"]], "InlineFormula"],
 ". ",
 StyleBox["By setting LaserSpotMesoFWHM directly, we bypass the computation \
of the mesospheric irradiances through DLT and MsqrLT.",
  FontFamily->"Verdana"]
}], "MathCaption",
 CellID->282202527],

Cell[BoxData[
 RowBox[{
  RowBox[{"beamRepOpts", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"LaserSpotMesoFWHM", "\[Rule]", "spotFWHM"}], ",", 
      RowBox[{"NSamples", "\[Rule]", "12"}]}], "}"}], "/.", "params2"}]}], 
  ";"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->1474125623],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rep", "=", 
  RowBox[{"BeamRepository", "[", 
   RowBox[{"NaD2LGS", ",", "params1", ",", "beamRepOpts"}], "]"}]}]], "Input",
 
 CellLabel->"In[8]:=",
 CellID->633387928],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"InterpolatingFunction", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"0.`", ",", "156.96750164103025`"}], "}"}], "}"}], 
      ",", "\<\"<>\"\>"}], "]"}],
    False,
    Editable->False], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.`", ",", "0.`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.35`", ",", "101.00351419087444`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.705995685203725`", ",", "612.4531804494047`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5.638383172294527`", ",", "2249.7324266008936`"}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"12.147162461272407`", ",", "4798.384630567224`"}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"21.23233355213737`", ",", "7908.286583845073`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"32.89389644488941`", ",", "11332.265620802635`"}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"47.13185113952852`", ",", "14924.668376769021`"}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"63.94619763605471`", ",", "18616.762670769247`"}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"83.33693593446797`", ",", "22410.680050605784`"}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"105.30406603476833`", ",", "26353.541256063345`"}], "}"}], ",",
      
     RowBox[{"{", 
      RowBox[{"129.84758793695573`", ",", "30510.22713848166`"}], "}"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"156.96750164103025`", ",", "34895.884132213214`"}], "}"}]}], 
    "}"}], ",", "156.96750164103025`", ",", "0.5`"}], "}"}]], "Output",
 ImageSize->{523, 84},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[8]=",
 CellID->171319045]
}, Open  ]],

Cell["\<\
Plot the specific return flux as a function of light intensity.\
\>", "MathCaption",
 CellID->1928835126],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLinePlot", "[", 
  RowBox[{
   RowBox[{"rep", "[", 
    RowBox[{"[", "2", "]"}], "]"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Intensity (W/\!\(\*SuperscriptBox[\(m\), \(2\)]\))\>\"", ",", 
      "\"\<Flux (photon/s/sr)\>\""}], "}"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[9]:=",
 CellID->1330984877],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], 
    LineBox[{{0., 0.}, {0.35, 101.00351419087444`}, {1.705995685203725, 
     612.4531804494047}, {5.638383172294527, 2249.7324266008936`}, {
     12.147162461272407`, 4798.384630567224}, {21.23233355213737, 
     7908.286583845073}, {32.89389644488941, 11332.265620802635`}, {
     47.13185113952852, 14924.668376769021`}, {63.94619763605471, 
     18616.762670769247`}, {83.33693593446797, 22410.680050605784`}, {
     105.30406603476833`, 26353.541256063345`}, {129.84758793695573`, 
     30510.22713848166}, {156.96750164103025`, 34895.884132213214`}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{
    FormBox[
    "\"Intensity (W/\\!\\(\\*SuperscriptBox[\\(m\\), \\(2\\)]\\))\"", 
     TraditionalForm], 
    FormBox["\"Flux (photon/s/sr)\"", TraditionalForm]},
  PlotRange->{{0., 156.96750164103025`}, {0., 34895.884132213214`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 ImageSize->{184, 123},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[9]=",
 CellID->662578298]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Sce",
   BaseStyle->"Link",
   ButtonData->"paclet:LGSBloch/ref/Sce"]], "InlineFormula"],
 " performs the integration across the Gaussian beam."
}], "MathCaption",
 CellID->936594492],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sce", "=", 
  RowBox[{"Sce", "[", 
   RowBox[{"params1", ",", 
    RowBox[{"rep", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
    ",", "beamRepOpts"}], "]"}]}]], "Input",
 CellLabel->"In[10]:=",
 CellID->1473666163],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "293.94651751539965`", ",", "1.2889180046253464`*^-6", ",", 
   "13070.207855891855`", ",", "0.5`", ",", "0.5532974412221698`", ",", 
   "156.96750164103025`", ",", "LGSBloch`LGSBeams`Private`fitFunction$41087", 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "LGSBloch`LGSBeams`Private`Psi0$41087", "\[Rule]", 
      "46949.92263827168`"}], ",", 
     RowBox[{
     "LGSBloch`LGSBeams`Private`I0$41087", "\[Rule]", "142.40438347714866`"}],
      ",", 
     RowBox[{
     "LGSBloch`LGSBeams`Private`c$41087", "\[Rule]", 
      "0.9007474270016531`"}]}], "}"}], ",", "0.011202439119083469`"}], 
  "}"}]], "Output",
 ImageSize->{410, 88},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[10]=",
 CellID->409486411]
}, Open  ]],

Cell[TextData[{
 StyleBox["Multiply the second return value in the above results list by the \
sodium column density to obtain the flux on the ground in ",
  FontFamily->"Verdana"],
 Cell[BoxData[
  StyleBox[
   RowBox[{
    RowBox[{"photon", "/", "s"}], "/", 
    SuperscriptBox["m", "2"]}], "MathCaption"]], "InlineFormula"],
 StyleBox[":",
  FontFamily->"Verdana"]
}], "Text",
 CellID->1164895398],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"sce", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], " ",
    "cNa"}], "/.", "params2"}]], "Input",
 CellLabel->"In[25]:=",
 CellID->1936028134],

Cell[BoxData["5.155672018501385`*^7"], "Output",
 ImageSize->{84, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[25]=",
 CellID->691662860]
}, Open  ]],

Cell[TextData[StyleBox["This value is similar to the estimate obtained above. \
",
 FontFamily->"Verdana"]], "Text",
 CellID->1136666240],

Cell[CellGroupData[{

Cell[TextData[StyleBox["References", "Subsection"]], "Section",
 CellID->325325888],

Cell["\<\
[Hol2010] R. Holzl\[ODoubleDot]hner, S.M. Rochester, D. Bonaccini Calia, D. \
Budker, J.M. Higbie, W. Hackenberg, Optimization of cw sodium laser guide \
star efficiency, Astronomy and Astrophysics. 510 (2010) A20. \
doi:10.1051/0004-6361/200913108.
\
\>", "Text",
 CellTags->"Hol2010",
 CellID->1642854048]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "TutorialMoreAboutSection",
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "MORE ABOUT", "TutorialMoreAboutSection", CellSize -> {5000, Inherited}],
      
     Cell[
      TextData[{
        Cell[
         BoxData[
          InterpretationBox[
           StyleBox[
            
            GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
             Baseline], "CacheGraphics" -> False], 
           Spacer[24]]]], "More About"}], "TutorialMoreAboutSection", 
      CellSize -> {5000, Inherited}]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 14]},
 "WholeCellGroupOpener" -> True,
 CellID->23220180],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]],

Cell[TextData[ButtonBox["LGSBloch Package",
 BaseStyle->"Link",
 ButtonData->"paclet:LGSBloch/guide/LGSBloch"]], "TutorialMoreAbout",
 CellID->5380999],

Cell[TextData[ButtonBox["AtomicDensityMatrix Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"]], \
"TutorialMoreAbout",
 CellID->925823761],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "RelatedTutorialsSection",
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "RELATED TUTORIALS", "RelatedTutorialsSection", 
      CellSize -> {5000, Inherited}], 
     Cell[
      TextData[{
        Cell[
         BoxData[
          InterpretationBox[
           StyleBox[
            
            GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
             Baseline], "CacheGraphics" -> False], 
           Spacer[24]]]], "Related Tutorials"}], "RelatedTutorialsSection", 
      CellSize -> {5000, Inherited}]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 14]},
 "WholeCellGroupOpener" -> True,
 CellID->415694126],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]],

Cell[TextData[ButtonBox["Return Flux from a CW Laser Guide Star",
 BaseStyle->"Link",
 ButtonData->
  "paclet:LGSBloch/tutorial/ReturnFluxFromACWLaserGuideStar"]], \
"RelatedTutorials",
 CellID->1076242152],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Integration Over the LGS Beam - Wolfram Mathematica",
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2017, 9, 14, 18, 2, 9.2224451}", "context" -> "LGSBloch`", 
    "keywords" -> {}, "index" -> True, "label" -> "L G S Bloch Tutorial", 
    "language" -> "en", "paclet" -> "LGSBloch", "status" -> "None", "summary" -> 
    "In this tutorial, we perform an integration of return flux over the \
extent of the laser beam to obtain a result for return flux measured on the \
ground. Functions to find return flux integrated over the light beam. Load \
the package.", "synonyms" -> {}, "title" -> "Integration Over the LGS Beam", 
    "type" -> "Tutorial", "uri" -> 
    "LGSBloch/tutorial/IntegrationOverTheLGSBeam"}, "SearchTextTranslated" -> 
  "", "SearchText" -> ""},
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "6.0 for Microsoft Windows (64-bit) (May 21, 2008)", 
  StyleDefinitions -> "Default.nb"]
]

