Notebook[{
Cell[" ", "TutorialColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 StyleBox[ButtonBox["Mathematica",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:guide/Mathematica"],
  FontSlant->"Italic"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["L G S BLOCH TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      PopupMenuBox[
       Dynamic[{"ActionMenu", None}, 
        Part[{"Integration Over the LGS Beam" :> 
          Documentation`HelpLookup[
           "paclet:LGSBloch/tutorial/IntegrationOverTheLGSBeam"]}, #, 2]& , 
        Evaluator -> Automatic], {1->"\<\"Integration Over the LGS Beam\"\>"},
        
       FrameBox["\<\"Related Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"Related Tutorials \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[
       Dynamic[{"ActionMenu", None}, 
        Part[{"LGSBloch Package" :> 
          Documentation`HelpLookup["paclet:LGSBloch/guide/LGSBloch"], 
          "AtomicDensityMatrix Package" :> 
          Documentation`HelpLookup[
           "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"]}, #, 2]& , 
        Evaluator -> Automatic], {1->"\<\"LGSBloch Package\"\>", 
       2->"\<\"AtomicDensityMatrix Package\"\>"}, 
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"More About \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[
       Dynamic[{"ActionMenu", None}, 
        Part[{"PsiMeso" :> 
          Documentation`HelpLookup["paclet:LGSBloch/ref/PsiMeso"], 
          "$DefaultLGSParameters" :> 
          Documentation`HelpLookup["paclet:ref/$DefaultLGSParameters"]}, #, 
         2]& , Evaluator -> Automatic], {1->"\<\"PsiMeso\"\>", 
       2->"\<\"$DefaultLGSParameters\"\>"}, 
       FrameBox["\<\"Functions \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"Functions \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      PopupMenuBox[
       Dynamic[{"ActionMenu", None}, 
        Part[{"LGSBloch/tutorial/CW LGS Example" :> None, 
          "Copy Mathematica url" :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell["LGSBloch/tutorial/CW LGS Example"]}, Visible -> 
                False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], Delimiter, 
          "Copy web url" :> 
          Module[{DocumentationSearch`Private`nb$}, 
            DocumentationSearch`Private`nb$ = NotebookPut[
               Notebook[{
                 Cell[
                  BoxData[
                   MakeBoxes[
                    Hyperlink[
                    "http://rochesterscientific.com/ADM/LGSBloch/tutorial/CW \
LGS Example.html"], StandardForm]], "Input", TextClipboardType -> 
                  "PlainText"]}, Visible -> False]]; 
            SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
            FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
            NotebookClose[DocumentationSearch`Private`nb$]; Null], 
          "Go to web url" :> FrontEndExecute[{
             NotebookLocate[{
               URL[
                StringJoin[
                "http://rochesterscientific.com/ADM/", 
                 "LGSBloch/tutorial/CW LGS Example", ".html"]], None}]}]}, #, 
         2]& , Evaluator -> Automatic], {
       1->"\<\"LGSBloch/tutorial/CW LGS Example\"\>", 
       2->"\<\"Copy Mathematica url\"\>", Delimiter, 
       4->"\<\"Copy web url\"\>", 5->"\<\"Go to web url\"\>"}, 
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], 
       StyleBox[
        FrameBox["\<\"URL \[RightGuillemet]\"\>",
         StripOnInput->False],
        Background->Automatic],
       Appearance->Automatic,
       ImageSize->Automatic,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell["Return Flux from a CW Laser Guide Star ", "Title",
 CellID->509267359],

Cell["\<\
In this tutorial, we calculate the return flux from a sodium LGS with a cw \
laser.\
\>", "Text",
 CellID->1534169418],

Cell[BoxData[GridBox[{
   {
    RowBox[{"GenerateLGSSystem", "[", "]"}], Cell[
    "Create system of equations describing the sodium atoms", "TableText"]},
   {
    RowBox[{
     ButtonBox["PsiMeso",
      BaseStyle->"Link",
      ButtonData->"paclet:LGSBloch/ref/PsiMeso"], "[", 
     RowBox[{
      StyleBox["sys", "TI"], ",", 
      StyleBox["params", "TI"]}], "]"}], Cell[TextData[{
     "Return flux efficiency [",
     Cell[BoxData[
      FormBox[
       RowBox[{"in", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"photons", "/", 
           StyleBox["s",
            FontSlant->"Plain"]}], "/", "sr"}], "/", 
         RowBox[{"(", 
          RowBox[{
           StyleBox["W",
            FontSlant->"Plain"], "/", 
           SuperscriptBox[
            StyleBox["m",
             FontSlant->"Plain"], "2"]}]}]}]}], TraditionalForm]]],
     ") emitted in the mesosphere] for a cw laser"
    }], "TableText"]},
   {
    ButtonBox["$DefaultLGSParameters",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/$DefaultLGSParameters"], Cell[TextData[{
     "Default values of parameters for ",
     Cell[BoxData[
      ButtonBox["PsiMeso",
       BaseStyle->"Link",
       ButtonData->"paclet:LGSBloch/ref/PsiMeso"]], "InlineFormula"]
    }], "TableText"]}
  }]], "DefinitionBox",
 CellID->2096742444],

Cell["Calculating return flux for a cw laser.", "Caption",
 CellID->1891092685],

Cell["Load the package.", "MathCaption",
 CellID->836781195],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<LGSBloch`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1971712093],

Cell["Generate the system of equations for the Na D2 line.", "MathCaption",
 CellID->909197065],

Cell[BoxData[
 RowBox[{
  RowBox[{"NaD2LGS", "=", 
   RowBox[{"GenerateLGSSystem", "[", "]"}]}], ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1528923050],

Cell["\<\
Run a test calculation of return flux for a cw laser. Result should be \
258.757 if everything is working properly.\
\>", "MathCaption",
 CellID->236786628],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PsiMeso", "[", 
  RowBox[{"NaD2LGS", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"IMeso", "\[Rule]", "46.0"}], ",", 
     RowBox[{"RepumpFraction", "\[Rule]", "0.12"}], ",", 
     RowBox[{"BG", "\[Rule]", "BGParanal"}]}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->385658905],

Cell[BoxData["258.75665779594823`"], "Output",
 ImageSize->{53, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->601007313]
}, Open  ]],

Cell[TextData[{
 "The parameters that affect the result of ",
 Cell[BoxData[
  ButtonBox["PsiMeso",
   BaseStyle->"Link",
   ButtonData->"paclet:LGSBloch/ref/PsiMeso"]], "InlineFormula"],
 " are given in the following tables, along with their default values."
}], "Text",
 CellID->2029828360],

Cell[BoxData[GridBox[{
   {"BG", "0.2275", Cell[TextData[{
     "Mesospheric geomagnetic field strength ",
     Cell[BoxData[
      FormBox[
       RowBox[{
        StyleBox["(",
         FontSlant->"Plain"], 
        StyleBox["G",
         FontSlant->"Plain"], ")"}], TraditionalForm]]]
    }], "TableText"]},
   {"MagneticAzimuth", 
    RowBox[{"\[Pi]", "/", "2"}], Cell["\<\
Azimuthal angle of the magnetic field relative to the laser propagation \
direction\
\>", "TableText"]},
   {"MagneticZenith", 
    RowBox[{"\[Pi]", "/", "2"}], Cell["\<\
Zenith angle of the magnetic field relative to the laser propagation \
direction\
\>", "TableText"]},
   {"RecoilShift", 
    RowBox[{"2", "\[Pi]", " ", "50.", " ", 
     SuperscriptBox["10", "3"]}], Cell["\<\
Doppler shift corresponding to the atomic recoil velocity (1/s)\
\>", "TableText"]},
   {"SDampingTime", 
    RowBox[{"245.", " ", 
     SuperscriptBox["10", 
      RowBox[{"-", "6"}]]}], Cell[
    "Mean time between S-damping collisions (s)", "TableText"]},
   {"Temperature", "185.", Cell[
    "Ambient temperature in the mesosphere (K)", "TableText"]},
   {"VccTime", 
    RowBox[{"35.", " ", 
     SuperscriptBox["10", 
      RowBox[{"-", "6"}]]}], Cell[
    "Mean time between velocity-changing collisions (s)", "TableText"]},
   {"vrms\[Gamma]", "38.", Cell[
    "Effective mean atomic velocity (m/s)", "TableText"]}
  }]], "DefinitionBox3Col",
 CellID->735275393],

Cell[TextData[{
 "Default values of atmospheric and mesospheric parameters for ",
 Cell[BoxData[
  ButtonBox["PsiMeso",
   BaseStyle->"Link",
   ButtonData->"paclet:LGSBloch/ref/PsiMeso"]], "InlineFormula"],
 "."
}], "Caption",
 CellID->1152625313],

Cell[BoxData[GridBox[{
   {"IMeso", "46.", Cell[TextData[{
     "Intensity of laser light in the mesosphere ",
     Cell[BoxData[
      StyleBox[
       RowBox[{"(", 
        RowBox[{"W", "/", 
         SuperscriptBox["m", "2"]}], ")"}], "Text",
       FontSize->10]], "InlineFormula"]
    }], "TableText"]},
   {"FWHMbw", "0.", Cell[
    "Effective FWHM bandwidth of the laser (Hz)", "TableText"]},
   {"LightPolarization", "1.", Cell["\<\
Light ellipticity; ranges from -1 to 1: linear polarization is 0, circular \
polarization is \[PlusMinus]1\
\>", "TableText"]},
   {"\[CapitalDelta]fLaser", "0.", Cell[
    "Laser frequency detuning from optimum", "TableText"]},
   {"RepumpFraction", "0.12", Cell[
    "Fraction of light power at the repumping frequency", "TableText"]},
   {"DLT", "0.4", Cell["Launch telescope aperature (m)", "TableText"]},
   {"\[Mu]LT", "1.39", Cell[
    "Ratio of launch telescope aperature to launch beam diameter", 
     "TableText"]}
  }]], "DefinitionBox3Col",
 CellID->2109386683],

Cell[TextData[{
 "Default values of laser and launch telescope parameters for ",
 Cell[BoxData[
  ButtonBox["PsiMeso",
   BaseStyle->"Link",
   ButtonData->"paclet:LGSBloch/ref/PsiMeso"]], "InlineFormula"],
 "."
}], "Caption",
 CellID->1801936505],

Cell[BoxData[GridBox[{
   {"ViewTheta", "\[Pi]", Cell["\<\
Polar angle of detector relative to laser propagation direction\
\>", "TableText"]},
   {"ViewPhi", "0", Cell["Azimuthal angle of detector", "TableText"]}
  }]], "DefinitionBox3Col",
 CellID->860400696],

Cell[TextData[{
 "Default values of observation parameters for ",
 Cell[BoxData[
  ButtonBox["PsiMeso",
   BaseStyle->"Link",
   ButtonData->"paclet:LGSBloch/ref/PsiMeso"]], "InlineFormula"],
 "."
}], "Caption",
 CellID->1747102421],

Cell["\<\
Calculate and plot the return flux efficiency as a function of light \
intensity for the default set of parameters.\
\>", "MathCaption",
 CellID->1908156947],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dat", "=", 
  RowBox[{"ParallelTable", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SuperscriptBox["10", "i"], ",", 
      RowBox[{"PsiMeso", "[", 
       RowBox[{"NaD2LGS", ",", 
        RowBox[{"{", 
         RowBox[{"IMeso", "\[Rule]", 
          SuperscriptBox["10", "i"]}], "}"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"-", "2"}], ",", "3", ",", ".25"}], " ", "}"}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->2020507578],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.01`", ",", "233.57715344698892`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.01778279410038923`", ",", "233.31652263419048`"}], "}"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"0.03162277660168379`", ",", "232.85807127284903`"}], "}"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"0.05623413251903491`", ",", "232.05666680702245`"}], "}"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"0.1`", ",", "230.67109418329926`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.1778279410038923`", ",", "228.35711818409365`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.31622776601683794`", ",", "224.89100108072196`"}], "}"}], ",", 
   
   RowBox[{"{", 
    RowBox[{"0.5623413251903491`", ",", "220.42720991857732`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.`", ",", "215.05339901281846`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.7782794100389228`", ",", "210.45101810716017`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.162277660168379`", ",", "207.6294694329299`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.623413251903491`", ",", "207.72160195691055`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10.`", ",", "212.84575146491744`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"17.78279410038923`", ",", "228.52768004104522`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"31.622776601683793`", ",", "251.92469535242017`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"56.23413251903491`", ",", "258.4182438283802`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"100.`", ",", "244.26053347089263`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"177.82794100389228`", ",", "215.78952685664828`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"316.2277660168379`", ",", "182.02155726391024`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"562.341325190349`", ",", "149.438363043052`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1000.`", ",", "120.63058283301211`"}], "}"}]}], "}"}]], "Output",
 
 ImageSize->{524, 101},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->198168915]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListLogLinearPlot", "[", 
  RowBox[{"dat", ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Light intensity (W/\!\(\*SuperscriptBox[\(m\), \(2\)]\))\>\"", ",", 
      "\"\<\[Psi]\>\""}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->891081074],

Cell[GraphicsData["CompressedBitmap", "\<\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\
\>"], "Output",
 Evaluatable->False,
 ImageSize->{180, 136},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->957818871]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "TutorialMoreAboutSection",
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "MORE ABOUT", "TutorialMoreAboutSection", CellSize -> {5000, Inherited}],
      
     Cell[
      TextData[{
        Cell[
         BoxData[
          InterpretationBox[
           StyleBox[
            
            GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
             Baseline], "CacheGraphics" -> False], 
           Spacer[24]]]], "More About"}], "TutorialMoreAboutSection", 
      CellSize -> {5000, Inherited}]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 14]},
 "WholeCellGroupOpener" -> True,
 CellID->23220180],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]],

Cell[TextData[ButtonBox["LGSBloch Package",
 BaseStyle->"Link",
 ButtonData->"paclet:LGSBloch/guide/LGSBloch"]], "TutorialMoreAbout",
 CellID->1567025153],

Cell[TextData[ButtonBox["AtomicDensityMatrix Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:AtomicDensityMatrix/guide/AtomicDensityMatrix"]], \
"TutorialMoreAbout",
 CellID->925823761],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "RelatedTutorialsSection",
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "RELATED TUTORIALS", "RelatedTutorialsSection", 
      CellSize -> {5000, Inherited}], 
     Cell[
      TextData[{
        Cell[
         BoxData[
          InterpretationBox[
           StyleBox[
            
            GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
             Baseline], "CacheGraphics" -> False], 
           Spacer[24]]]], "Related Tutorials"}], "RelatedTutorialsSection", 
      CellSize -> {5000, Inherited}]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 14]},
 "WholeCellGroupOpener" -> True,
 CellID->415694126],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]],

Cell[TextData[ButtonBox["Integration Over the LGS Beam",
 BaseStyle->"Link",
 ButtonData->
  "paclet:LGSBloch/tutorial/IntegrationOverTheLGSBeam"]], "RelatedTutorials",
 CellID->806871991],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, Inherited],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, Inherited]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   Inherited]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Return Flux from a CW Laser Guide Star  - Wolfram Mathematica",
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2017, 9, 14, 18, 2, 11.1948091}", "context" -> "LGSBloch`", 
    "keywords" -> {}, "index" -> True, "label" -> "L G S Bloch Tutorial", 
    "language" -> "en", "paclet" -> "LGSBloch", "status" -> "None", "summary" -> 
    "In this tutorial, we calculate the return flux from a sodium LGS with a \
cw laser. Calculating return flux for a cw laser. Load the package.", 
    "synonyms" -> {}, "title" -> "Return Flux from a CW Laser Guide Star ", 
    "type" -> "Tutorial", "uri" -> "LGSBloch/tutorial/CW LGS Example"}, 
  "SearchTextTranslated" -> "", "SearchText" -> ""},
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "6.0 for Microsoft Windows (64-bit) (May 21, 2008)", 
  StyleDefinitions -> "Default.nb"]
]

